Index: docs.m17n/README.japanese
*** /dev/null	Wed Aug 20 14:47:14 1997
--- nvi-1.79-m17n/docs.m17n/README.japanese	Mon Jun 30 17:41:05 1997
***************
*** 0 ****
--- 1,777 ----
+ multilingual patch for Keith Bostic's nvi
+ Jun-ichiro itojun Itoh <itojun@mt.cs.keio.ac.jp>
+ $Id: README.japanese,v 1.13 1997/06/30 08:41:04 itojun Exp $
+ Based on: Id: README.english,v 1.98 1997/06/30 08:39:46 itojun Exp
+ 
+ 
+ 			vi users of the world, unite!
+ 
+ 
+ 	$B$3$NJ8=q$O!"1Q8lHG$NK]Lu$G$9!#1Q8lHG$NJ}$,99?7$5$l$F$$$^$9$N$G(B
+ 	$B<B:]$H0[$J$kE@$,$"$C$?$i1Q8lHG$r;2>H$7$F$/$@$5$$!#(B
+ 
+ $B$3$l$J$"$K(B?
+ 
+ 	$B$3$N(Bpatchkit$B$O!"(Bnvi 1.79$B$KBP$9$kB?9q8l2=%Q%C%A$G$9!#(B
+ 	$B$3$N%Q%C%A$N$3$H$r(B"nvi-m17n"$B$HFI$s$G$$$^$9!#(B"m17n"$B$H$O!"(B
+ 	multilingualization$B$N$3$H(B(m + 17$BJ8;z(B + n)$B$G$9!#(B
+ 
+ 	nvi$B$N:G?7HG$O!"0J2<$+$iF@$k$3$H$,$G$-$^$9(B:
+ 		ftp://ftp.cs.berkeley.edu/ucb/4bsd/
+ 	$B$3$N%Q%C%1!<%8$N:G?7HG$O!"0J2<$+$iF@$k$3$H$,$G$-$^$9(B:
+ 		ftp://ftp.foretune.co.jp/pub/tools/nvi-m17n/
+ 
+ 	$BF|K\8l2=%Q%C%A$+$i%9%?!<%H$7$?$N$G!"0JA0$O(B"jnvi"$B$H8F$s$G$^$7$?!#(B
+ 	$B$3$N$?$a!"(B"jnvi"$B$H$$$&5-=R$,;D$C$F$k$+$b$7$l$^$;$s!#(B
+ 	"nvi-m17n"$B$HFI$_BX$($F$/$@$5$$!#(B
+ 
+ REDISTRIBUTION
+ 
+ 	Freely redistributable, under condition written in LICENSE file.
+ 
+ WARRANITY AND COPYRIGHT
+ 
+ 	Absolutely no warranty.  Pray and backup before try.
+ 
+ 	The patch is based on the Japanization work on nvi 1.03 by:
+ 		Yoshitaka Tokugawa <toku@dit.co.jp>
+ 	and Japanization patch to elvis(vi clone by Steve Kirkendall) by:
+ 		Jun-ichiro itojun Itoh <itojun@mt.cs.keio.ac.jp>
+ 	
+ 	Some part of multibyte support has been derived from other people's
+ 	work.  See comment in multibyte.c.
+ 
+ 	Multilingual portion copyright(c) 1996, 1997 by Jun-ichiro Itoh.
+ 	All rights reserved.
+ 
+ $BI=5-$K$D$$$F(B
+ 
+ 	$BL@Gr$J>l9g!"(B"$BB?9q8l2=(Bnvi"$B$N$3$H$r(B"nvi"$B$HI=5-$7$^$9!#(B
+ 	$B6hJL$7$?$$>l9g$K$O(B"nvi-m17n"$B$H8F$s$G$$$^$9!#(B
+ 
+ $B$H$j$"$($:;H$$$?$$(B($B$$$i$A$J$R$H$K(B)
+ 
+ 	$B$^$:!"$3$N(Bpatch$B$O$b$H$N(Bnvi$B$NA4$F$N5!G=$rB?9q8l2=$7$F$k$HJ]>Z$5$l$F$k(B
+ 	$B$o$1$G$O$J$$!"$H$$$&$3$H$KCm0U$7$F$/$@$5$$!#(B
+ 	$B$$$/$D$+$N5!G=$O$^$@;H$C$F$O$$$1$J$$>l9g$,$"$j$^$9!#(B
+ 	"$BB?9q8l2=:Q$_(B"$B$H(B"$BB?9q8lL$BP1~(B"$B$N@a$r8+$k$H$I$N5!G=$,(Bok$B$G$I$N5!G=$,(B
+ 	$B$^$@$+$o$+$j$^$9!#(B
+ 
+ 	0. nvi$B$N%Q%C%1!<%8$K(Bpatch$B$r$"$F$^$9!#(B
+ 		% cd nvi-1.79
+ 		% patch -p1 < nvi-m17n.diff
+ 	1. $BB?9q8l%Q%C%A$r3h$+$7$F(Bconfigure$B$7$^$9!#(B
+ 		% cd build
+ 		% ./configure --enable-multibyte
+ 	   nvi$B$+$iD>@\(Bcanna$B$r;H$$$?$$>l9g!"0J2<$N$h$&$K(Bconfigure$B$r8F$S=P$7$F(B
+ 	   $B$/$@$5$$!#0J2<$NNc$@$H!"(B/usr/local/canna$B$K(Bcanna$B$N%i%$%V%i%j$d(B
+ 	   $B%X%C%@%U%!%$%k$,%$%s%9%H!<%k$5$l$F$$$kI,MW$,$"$j$^$9!#(B
+ 		% ./configure --enable-multibyte --enable-canna=/usr/local/canna
+ 
+ 	2. make$B$7$F%$%s%9%H!<%k$7$^$7$g$&!#(B
+ 		% make
+ 		% su
+ 		password: xxxx
+ 		# make install
+ 
+ 	3. X$B$r;H$C$F$$$k>l9g!"B?9q8lI=<($N$?$a$K(Bkterm 6.2.0$B$r%$%s%9%H!<%k(B
+ 	   $B$9$k$3$H$r$*$9$9$a$7$^$9!#(Bkterm 6.2.0$B$O(BX11R6 contrib$B$N%_%i!<$r(B
+ 	   $B$7$F$$$k(Bftp$B%5!<%P$+$i;}$C$F$3$l$^$9!#%U%)%s%H$bDI2C%$%s%9%H!<%k(B
+ 	   $B$7$^$7$g$&!#(B
+ 	   $BC1$KF|K\8l$,;H$$$?$$$@$1$J$i8E$$(Bkterm$B$G$bJ?5$$G$9!#(B
+ 
+ 	4. $B@_Dj%U%!%$%k$rJT=8$7$^$7$g$&!#(B(~/.exrc)
+ 	4-a. iso-2022-*$B$NI=<((B
+ 	     iso-2022-*$BBP1~$NC<Kv%=%U%H$r;H$C$F$$$k>l9g!"0J2<$N9T$r(B
+ 	     $BB-$7$^$7$g$&(B(kterm$B$N>l9g$3$C$A$G$9(B):
+ 		set noskipdisplay
+ 	     $B$=$&$G$J$1$l$P!"0J2<$N9T$rB-$7$^$7$g$&(B:
+ 		set skipdisplay
+ 	4-b. $BI=<($N(Bencoding
+ 	     $BJL$N@a$K$"$k%j%9%H$+$i!"C<Kv$X$NI=<($K;H$&(Bencoding$B$rA*$S!"(B
+ 	     $B0J2<$N$h$&$K@_Dj$7$^$7$g$&(B:
+ 		set displayencoding=iso-2022-jp
+ 		set displayencoding=sjis
+ 		set displayencoding=euc-jp
+ 		set displayencoding=big5
+ 	     $B$$$/$D$+$N(Bencoding$B$r;XDj$7$?>l9g!"F0:n$K%/%;$,$"$j$^$9!#(B
+ 	     "$BB?9q8lBP1~:Q$_(B"$B$N@a$r;2>H$7$F$/$@$5$$!#(B
+ 	4-c. $B%-!<F~NO$N(Bencoding
+ 	     $BJL$N@a$K$"$k%j%9%H$+$i!"%-!<F~NO$K;H$&(Bencoding$B$rA*$S!"(B
+ 	     $B0J2<$N$h$&$K@_Dj$7$^$7$g$&(B:
+ 		set inputencoding=euc-jp
+ 	     $B0lIt$N(Bencoding$B$O%-!<F~NO$K$O;H$($^$;$s$N$GCm0U$7$^$7$g$&!#(B
+ 	4-d. $B%U%!%$%k$N(Bencoding
+ 	     $BF1MM$K%U%!%$%kF~=PNO$K;H$&(Bencoding$B$rA*$S!"0J2<$N$h$&$K(B
+ 	     $B@_Dj$7$^$7$g$&(B:
+ 		set fileencoding=iso-2022-jp
+ 	     $B$^$?!"%U%!%$%k%*!<%W%s(B/$BF~NO;~$K%U%!%$%k$N(Bencoding$B$r<+F0H=JL(B
+ 	     $B$7$?$1$l$P!"0J2<$r@_Dj$7$^$7$g$&(B:
+ 		set autodetect=jp (euc-jp/sjis/iso-2022-jp$B!"$rH=Dj(B)
+ 		set autodetect=cn (euc-cn/big5/hz/iso-2022-cn$B!"(Bothers$B$rH=Dj(B)
+ 		set autodetect=tw (euc-tw/big5/hz/iso-2022-cn$B!"(Bothers$B$rH=Dj(B)
+ 		set autodetect=kr (euc-kr/iso-2022-kr$B!"$rH=Dj(B)
+ 	     $B$^$?!"%U%!%$%k$N%*!<%W%s;~$K(B(:e/:n$B%3%^%s%I$G(B)$B<+F0H=Dj7k2L$G(B
+ 	     fileencoding$B$NCM$r>e=q$-$9$k$3$H$b$G$-$^$9!#(B
+ 	     $B$3$N>l9g!"0J2<$N$h$&$K@_Dj$7$^$9!#$3$&$9$k$3$H$G!"(B
+ 	     $B%U%!%$%k$N(Bencoding$B$,%U%!%$%kJT=8A0$HJT=88e$G(B
+ 	     $BJQ$o$i$J$$$h$&$K$9$k$3$H$,$G$-$^$9!#$?$H$($P(B:
+ 		set autodetect=jp+
+ 		set autodetect=cn+
+ 
+ 	     $BCf9q8l$N<+F0H=JL$r$7$?$$>l9g(B(:set autodetect=cn)$B!"(B
+ 	     fileencoding$B$r(B"euc-cn"$B$^$?$O(B"big5"$B$K@_Dj$9$k$3$H$r$*4+$a$7$^$9!#(B
+ 	     euc-cn$B$H(Bbig5$B$r<+F0H=JL$9$k$N$O$[$H$s$IIT2DG=$J$N$G!"(B
+ 	     $B<+F0H=JL$O$?$$$F$$<:GT$7$^$9!#<+F0H=JL$,<:GT$7$?>l9g!"(B
+ 	     fileencoding$B$K@_Dj$5$l$?(Bencoding$B$,;H$o$l$^$9!#(B
+ 	     $B$N$G!"(Bbig5$B$r$h$/;H$&>l9g!"0J2<$N$h$&$K$7$^$7$g$&(B:
+ 		set autodetect=cn fileencoding=big5
+ 	     euc-cn$B$r$h$/;H$&>l9g!"0J2<$N$h$&$K$7$^$7$g$&(B:
+ 		set autodetect=cn fileencoding=euc-cn
+ 	     $BCf9q8l$N<+F0H=JL$r$9$k>l9g!"$3$l0J30$N@_Dj$O$*4+$a$7$^$;$s!#(B
+ 	
+ 	     $BBfOQ8l(B(?)$B$N<+F0H=JL$r$7$?$$>l9g(B(:set autodetect=tw)$B$b!"(B
+ 	     $B>e5-$N5-=R$O$"$F$O$^$j$^$9!#(Bfileencoding$B$O(B"euc-tw"$B$+(B"big5"$B$N(B
+ 	     $B$I$A$i$+$K@_Dj$7$F$/$@$5$$!#(B
+ 
+ 	4-e. canna$B%5%]!<%H(B
+ 	     canna$B$K$h$kF|K\8lF~NO$r;H$$$?$$>l9g!"0J2<$N9T$rDI2C$7$^$9(B:
+ 		set canna
+ 	     canna$B$NF~NO%b!<%I(B($B%U%'%s%9(B)$B$N(Bon/off$B$N<+F0@)8f$r;H$$$?$$>l9g!"(B
+ 	     $B0J2<$b@_Dj$7$F$/$@$5$$(B($B$"$H!"(Bfepkey$B$r9%$_$K$"$o$;$F$/$@$5$$(B):
+ 		set cannactrl
+ 	     canna$B%5!<%P$r;XDj$9$k>l9g!"0J2<$N$h$&$K$7$^$9(B:
+ 		set cannaserver="somehost.your.domain"
+ 	     canna$BF~NO%b!<%I$KF~$k%-!<$rJQ$($?$$>l9g!"0J2<$N$h$&$K$7$^$9!#(B
+ 	     $B$3$N@_Dj$r$9$k$HF~NO%b!<%I$KF~$k%-!<$,(Bcontrol-O$B$K$J$j$^$9!#(B
+ 	     $B%-!<$O(B*$B?5=E$K(B*$BA*$s$G2<$5$$(B!:
+ 		set cannakey=^O
+ 
+ 	5. $B$3$N%Q%C%A$r$"$F$?>l9g!"86:n(Bnvi$B$N%I%-%e%a%s%H$K=R$Y$i$l$F$$$k(B
+ 	   $B@bL@J8$N0lIt$OE,MQ$5$l$J$/$J$k$3$H$KCm0U$7$F$/$@$5$$!#(B
+ 	   $BNc$($P!"(Blocale$B4XO"$N$b$N(B(nvi-1.79/FAQ$B$N$$$A$P$s:G=i$N<ALd!"$H$+(B)
+ 	   $B$O(Bnvi-m17n$B$K4X$7$F@5$7$/$"$j$^$;$s!#(B
+ 
+ 	6. $B$3$l$G$"$,$j$G$9!#(BEnjoy!
+ 
+ 	.exrc$B$NNcBj$r$$$/$D$+(B:
+ 
+ 	$BNc(B1: iso-2022-*$BI=<($N$G$-$kC<Kv$r;H$C$F$$$F!"(Beuc-jp$B$r(Bencoding$B$H$7$F(B
+ 	$B;H$$$^$9!#F|K\8l$N%U%!%$%k(Bencoding$B<+F0H=JL$r;H$$$^$9!#(B
+ 		set noskipdisplay
+ 		set displayencoding=euc-jp
+ 		set inputencoding=euc-jp
+ 		set fileencoding=euc-jp
+ 		set autodetect=jp
+ 
+ 	$BNc(B2: iso-2022-*$BI=<($N$G$-$kC<Kv$r;H$C$F$$$F!"(Biso-2022-jp$B$r(Bencoding
+ 	$B$H$7$F;H$$$^$9!#F|K\8l$N%U%!%$%k(Bencoding$B<+F0H=JL$r;H$$$^$9!#(B
+ 	canna$B$H!"<+F0(Bcanna$B%b!<%I@)8f$r;H$$$^$9!#(B
+ 		set noskipdisplay
+ 		set displayencoding=iso-2022-jp
+ 		set inputencoding=iso-2022-jp
+ 		set fileencoding=iso-2022-jp
+ 		set autodetect=jp
+ 		set canna cannactrl
+ 
+ 	$BNc(B2: iso-2022-*$BI=<($N$G$-$kC<Kv$r;H$C$F$$$F!"(Bbig5$B$r(Bencoding
+ 	$B$H$7$F;H$$$^$9!#Cf9q8l$N%U%!%$%k(Bencoding$B<+F0H=JL$r;H$$$^$9!#(B
+ 		set noskipdisplay
+ 		set displayencoding=big5
+ 		set inputencoding=big5
+ 		set fileencoding=big5
+ 		set autodetect=cn
+ 
+ encoding
+ 
+ 	$B9T:8C<$N(B"*"$B0u$O!"$3$N(Bencoding$B$r%-!<F~NO$N(Bencoding$B$K;H$($k$3$H$r(B
+ 	$B<($7$F$$$^$9!#(B(:set inputencoding=xxx)
+ 
+ 	$B9T:8C<$N(B"!"$B0u$O!"$3$N(Bencoding$B$N<BAu$O;EMM$r40A4$KK~$?$7$F$$$J$$$3$H$r(B
+ 	$B<($7$^$9!#I=$N<!$K$"$kCp$rFI$s$G2<$5$$!#(B
+ 
+ 	encoding$B$N;EMM$K$J$$B?9q8l$r(Bencode$B$9$k>l9g!"(Biso-2022-*$BE*$J;X<($,(B
+ 	$B;H$o$l$^$9!#(B
+ 	($BNc$($P!"(Biso-2022-kr$BCf$N(Blatin-1$B$H$+!"(Biso-2022-cn$BCf$N(Bcyrillic$B$H$+(B)
+ 	$BC10l8@8l(Bencoding$B$N>l9g!"CN$i$J$$J8;z%;%C%H$OC1$KHt$P$5$l$^$9!#(B
+ 
+ 	encoding$B$N07$o$lJ}$N>\:Y$O(B"$BB?9q8l2=:Q$_(B"$B$N@a$r;2>H$7$F$/$@$5$$!#(B
+ 
+     $BB?9q8l(Bencoding:
+ 	   name		note			initially designated charsets
+ 	   ---		---			---
+ 	*  euc-jp-old				G0=ascii, G1=JIS X0208-1976,
+ 						G2=JIS X0201 kana,
+ 						G3=JIS X0212-1990.
+ 						SS1 and SS2 used
+ 	*  euc-jp				G0=ascii, G1=JIS X0208-1983,
+ 						G2=JIS X0201 kana,
+ 						G3=JIS X0212-1990.
+ 						SS1 and SS2 used
+ 	*  euc-cn				G0=ascii/G1=GB2312
+ 	*  euc-kr				G0=ascii/G1=KSC5601
+ 
+ 	*  iso-8859-1	8bit			G0=ascii/G1=iso-8859-1
+ 	*  iso-8859-2	8bit			G0=ascii/G1=iso-8859-2
+ 	*  iso-8859-3	8bit			G0=ascii/G1=iso-8859-3
+ 	*  iso-8859-4	8bit			G0=ascii/G1=iso-8859-4
+ 	*  iso-8859-7	8bit			G0=ascii/G1=iso-8859-7
+ 	*  iso-8859-8	8bit			G0=ascii/G1=iso-8859-8
+ 	*  iso-8859-9	8bit			G0=ascii/G1=iso-8859-9
+ 	*  latin1	8bit			iso-8859-1$B$NJLL>(B
+ 	*  latin2	8bit			iso-8859-2$B$NJLL>(B
+ 	*  iso-2022-cn-ext			G0=ascii
+ 			rfc1922			SI, SO, SS2 and SS3 used
+ 	*  iso-2022-cn	rfc1922			iso-2022-cn-ext$B$NJLL>(B
+ 						($B;EMM$,8_49(B)
+ 	*  iso-2022-jp-2 rfc1554		G0=ascii
+ 						SS2 used
+ 	*  iso-2022-jp	rfc1468			iso-2022-jp-2$B$NJLL>(B
+ 						($B;EMM$,8_49(B)
+ 	*! iso-2022-kr	rfc1557			G0=ascii
+ 						SI and SO used
+ 	*  ctext	X11 compound text	G0=ascii/G1=iso-8859-1
+ 			8bit			no locking shift used
+ 	   
+ 	*  iso-2022-7-1	$B%F%9%HMQ$NHFMQ(B7bit$B!"(BG0$B$N$_;HMQ(B
+ 	*  iso-2022-7-2	$B%F%9%HMQ$NHFMQ(B7bit$B!"(BG0/1$B$N$_;HMQ(B
+ 	*  iso-2022-8-2	$B%F%9%HMQ$NHFMQ(B8bit$B!"(BG0/1$B$N$_;HMQ(B
+ 
+     $BC10l8@8l(Bencoding:
+ 	   name		note			charsets
+ 	   ---		---			---
+ 	*  none		$B%Q%C%AA0$N(Bnvi$B$NF0:n(B	G0=ascii, G1=ascii(binary)	
+ 	*  sjis		MS-Kanji/Shift JIS
+ 	*  big5
+ 	*  euc-tw				G0=ascii, G1=CNS11643-1,
+ 						G2=CNS11643-[2-7]
+ 	   hz		rfc1842			
+ 
+ 
+ 	iso-2022-kr$B$N2r<a(B:
+ 	  rfc1557$B$K$O=R$Y$i$l$F$$$^$;$s$,!"<B:]$N1?MQ$G$O(BKSC5601$B$N;X<($@$1$N(B
+ 	  $B9T$,$"$k$H!"$=$N9T$O<N$F$i$l$^$9(B($B9TKvJ8;z$rL5;k(B)$B!#(B
+ 	  nvi-m17n$B$O$3$N5sF0$r<BAu$7$F$$$^$9!#(B
+ 
+ $BJ8;z%;%C%H(B
+ 
+ 	nvi$B$O!"0J2<$K$"$2$i$l$F$$$J$$J8;z%;%C%H$N;X<($rG'<1$7$^$;$s!#(B
+ 	$B$"$kJ8;z%;%C%H$rG'<1$9$k$h$&$K$7$F$[$7$$>l9g!":n<T$K%3%s%?%/%H(B
+ 	$B$7$F$/$@$5$$!#(B
+ 
+     94$BJ8;z%;%C%H(B:
+ 	name			designation to G0	note
+ 	---			---			---
+ 	IRV			ESC ( @
+ 	UK			ESC ( A
+ 	ASCII			ESC ( B			hardcoded
+ 	Swedish			ESC ( C
+ 	Norwegian		ESC ( E
+ 	JIS X0201 right		ESC ( I			1$B%P%$%H%+%?%+%J(B
+ 	JIS X0201 left		ESC ( J
+ 	German			ESC ( K
+ 	French			ESC ( R
+ 	Italian			ESC ( Y
+ 	Spanish			ESC ( Z
+ 
+     96$BJ8;z%;%C%H(B:
+ 	name			designation to G0	note
+ 	---			---			---
+ 	Latin1			ESC , A			iso-8859-1
+ 	Latin2			ESC , B			iso-8859-2
+ 	Latin3			ESC , C			iso-8859-3
+ 	Latin4			ESC , D			iso-8859-4
+ 	Greek			ESC , F			iso-8859-7
+ 	Arabic			ESC , G			iso-8859-6
+ 	Hebrew			ESC , H			iso-8859-8
+ 	Cyrillic		ESC , L			iso-8859-5
+ 	Latin5			ESC , M			iso-8859-9
+ 	Thai			ESC , T			TIS620.2529
+ 	Latin6			ESC , V			iso-8859-10
+ 	Latin6 additions	ESC , X			iso-8859-10 additions
+ 
+     94x94$BJ8;z%;%C%H(B:
+ 	name			designation to G0	note
+ 	---			---			---
+ 	JIS X0208.1976		ESC $ ( @ or ESC $ @
+ 	GB2312			ESC $ ( A or ESC $ A
+ 	JIS X0208.1983		ESC $ ( B or ESC $ B
+ 	KSC5601			ESC $ ( C
+ 	JIS X0212.1990		ESC $ ( D
+ 	ISO IR-165		ESC $ ( E
+ 	CNS11643-1992-1		ESC $ ( G
+ 	CNS11643-1992-2		ESC $ ( H
+ 	CNS11643-1992-3		ESC $ ( I
+ 	CNS11643-1992-4		ESC $ ( J
+ 	CNS11643-1992-5		ESC $ ( K
+ 	CNS11643-1992-6		ESC $ ( L
+ 	CNS11643-1992-7		ESC $ ( M
+ 	Big5-1			ESC $ ( 0		$BHs8x<0!"(BMule$B$KN`;w(B
+ 	Big5-2			ESC $ ( 1		$BHs8x<0!"(BMule$B$KN`;w(B
+ 
+ $BA}$($?%*%W%7%g%s(B
+ 
+ 	name			type	range	description
+ 	---			---	---	---
+ 	autodetect(ad)		str	-	$B%U%!%$%kF~NO(Bencoding$B<+F0H=JL(B
+ 	displayencoding(de)	str	global	$BI=<((Bencoding
+ 	fepkey			str	-	fence$B$r<+F0@)8f$9$k%3%^%s%IL>(B
+ 	fileencoding(fe)	str	-	$B%U%!%$%kF~=PNO(Bencoding
+ 	inputencoding(ie)	str	-	$B%-!<F~NO(Bencoding
+ 	skipdisplay(sd)		bool	-	$BI=<($G$-$J$$J8;z%;%C%H$OHt$P$9(B
+ 
+ canna$BMxMQ;~$KA}$($k%*%W%7%g%s(B
+ 
+ 	name			type	range	description
+ 	---			---	---	---
+ 	canna			bool	global	canna$B$r;H$&(B/$B;H$o$J$$(B
+ 	cannactrl		bool	-	fence$B<+F0@)8f(B
+ 	cannakey		str	-	canna$BF~NO%b!<%I$KF~$k%-!<(B
+ 	cannaserver		str	global	canna$B%5!<%P(B
+ 
+ configure$B$N@_Dj(B
+ 
+     $BB?9q8l2=(B
+ 
+ 	configure$B$9$k$H$-$K!"(B"--enable-multibyte"$B$r$D$1$kI,MW$,$"$j$^$9!#(B
+ 	$BDL>o$N%$%s%9%H!<%k<j=g$O0J2<$NDL$j(B:
+ 		% cd build
+ 		% ./configure --enable-multibyte
+ 		% make
+ 	configure$B$N$H$-$K(Bencoding$B$N%G%U%)%k%HCM$r;XDj$9$k$3$H$,$G$-$^$9(B:
+ 		% ./configure --enable-multibyte=euc-kr
+ 		% ./configure --enable-multibyte=iso-2022-jp
+ 		% ./configure --enable-multibyte=euc-cn
+ 	encoding$B$r;XDj$7$J$$$H!"(B"none"$B$K$J$j$^$9!#(B
+ 
+     canna
+ 
+ 	canna$B$K$h$kF|K\8lF~NO$r;H$&>l9g!"(B"--enable-canna"$B$r(Bconfigure$B$N(B
+ 	$B0z?t$K$D$1$kI,MW$,$"$j$^$9!#(B"--enable-multibyte"$B$,I,MW$G$9!#(B
+ 		% cd build
+ 		% ./configure --enable-multibyte --enable-canna
+ 
+ 	$B%X%C%@$d%i%$%V%i%j$N$"$k%G%#%l%/%H%j$r;XDj$9$kI,MW$,$"$k$+$b(B
+ 	$B$7$l$^$;$s!#(B
+ 	--enable-canna$B$N8e$K%G%#%l%/%H%j(BSOMEWHERE$B$r;XDj$7$?>l9g(B:
+ 		% ./configure --enable-multibyte --enable-canna=SOMEWHERE
+ 	$B0J2<$K%X%C%@%U%!%$%k$H%i%$%V%i%j%U%!%$%k$,$"$k$3$H$r0UL#$7$^$9(B:
+ 		SOMEWHERE/include/canna/jrkanji.h
+ 		SOMEWHERE/lib/libcanna.a
+ 
+ 	$BHs0lHLE*$J@_Dj$r$7$F$$$F!"%X%C%@$H%i%$%V%i%j$N%Q%9L>$N(Bprefix$B$,(B
+ 	$B0c$&>l9g!"%G%#%l%/%H%j$r8DJL$K;XDj$9$kI,MW$,$"$j$^$9!#(B
+ 	$BNc$($P0J2<$N$H$3$m$K%U%!%$%k$,$"$k>l9g(B:
+ 		SOMEWHERE/canna/jrkanji.h
+ 		ELSEWHERE/libcanna.a
+ 	$B0J2<$N$h$&$K(Bconfigure$B$r5/F0$7$^$9(B:
+ 		% env CFLAGS=-ISOMEWHERE LDFLAGS=-LELSEWHERE \
+ 			./configure --enable-multibyte --enable-canna
+ 
+ 	$B$?$$$F$$$N>l9g!"0J2<$N@_Dj$G$&$^$/$$$-$^$9(B:
+ 		% ./configure --enable-multibyte --enable-canna=/usr/local/canna
+ 
+ $BB?9q8l2=:Q$_(B
+ 
+     $BB?9q8lJ8;z$N>e$N0\F0(B/$BB?9q8lJ8;z$NF~NO!#(B
+ 
+     $BB?9q8l$NC18l0\F0(B($BF|K\8l(B/$B4Z9q8l$N$_(B)
+ 
+     iso-2022-*$B$r%5%]!<%H$9$kC<Kv$N$?$a$NB?9q8lI=<(!#(B
+ 	euc-jp/euc-cn/euc-kr/euc-tw/sjis/big5$BC<Kv$N$?$a$N4pK\E*$J%5%]!<%H$b(B
+ 	$B$7$F$^$9!#(B
+ 	$BI=<($N$?$a$N(Bencoding$B$O$3$s$JIw$K@_Dj$7$J$$$H$$$1$^$;$s(B:
+ 		:set displayencoding=foobaa
+ 
+ 	$BI=<($K;H$($k(Bencoding$B$O(B"encoding"$B$N@a$KNs5s$7$F$"$j$^$9!#(B
+ 	$B;DG0$J$,$i!"I=<(J}K!$OD>4QE*$G$O$J$$$N$G!"0J2<$rCm0U?<$/(B
+ 	$BFI$s$G2<$5$$!#(B
+ 
+ 	$BB?9q8lJ8;z$O0J2<$NJ}K!$GI=<($5$l$^$9(B:
+ 
+ 	1. $B$=$N(Bencoding$BMQ$KFCJL$NJ}K!$,Dj5A$5$l$F$$$?$i!"$=$l$r;H$$$^$9!#(B
+ 	   $B$3$l$O!"(B8bit$B7O$N(Bencoding$B$N>l9g$KDj5A$5$l$F$$$^$9!#(B
+ 		name	note
+ 		---	---
+ 		euc-jp	G0/G1$B$N$_(B
+ 			G0=ASCII, G1=JIS X0208-1983/1976
+ 		euc-cn
+ 		euc-kr
+ 		euc-tw	G0/G1$B$N$_(B (G0=ASCII, G1=CNS11643-1)
+ 		sjis	X0208-1983/1976$B$H(BJIS X0201$B%+%?%+%J(B
+ 		big5
+ 
+ 	2. ":set skipdisplay"$B$N@_Dj$N>l9g!"B?9q8lJ8;z$O(B"?"$B$+(B"??"$B$H$7$F(B
+ 	   $BI=<($5$l$^$9!#(B
+ 
+ 	3. $B$=$&$G$J$1$l$P!"I=<(BP>]$NJ8;z%;%C%H$r(Biso-2022-*$B$N%(%9%1!<%W(B
+ 	   $B%7!<%1%s%9$r;H$C$F(BG0$B$K;X<($7$FI=<($7$^$9!#(B
+ 	   $BNc$($P!"(BJIS X0208-1983$B$N>l9g(B"ESC $ B"$B!"(Blatin-1$B$N>l9g(B"ESC , A"
+ 	   G0$B$@$1$r;H$&$N$OC1=c2=$N$?$a$G$9!#$3$l$O(Bnvi$B$N(Bencoding$B$N(B
+ 	   "iso-2022-7-1"$B$K;w$F$$$^$9!#(B
+ 
+ 	$BB?9q8lI=<($N$?$a$K$O(B($B>e5-$N(B3.$B$N>l9g(B)iso-2022-*$B40A4BP1~$NC<Kv$N(B
+ 	$BMxMQ$r$*4+$a$7$^$9!#Nc$($P!"(Bkterm-6.2.0$B$r;n$9$H$h$$$G$7$g$&!#(B
+ 	X11R6 contrib$B$N$"$k(Bftp$B%5!<%P$K$O$?$$$F$$CV$$$F$"$j$^$9!#(B
+ 
+ 	curses$B$NB?9q8l2=$K$D$$$F>\:Y$,CN$j$?$1$l$P!"(Bcurses/README.m17n$B$r(B
+ 	$B8+$F2<$5$$(B
+ 
+ 	:set displayencoding=xxx$B$H$$$&@_Dj$O(Bnvi$BA4BN$K$D$$$F$N@_Dj$J$N$G!"(B
+ 	$BA4$F$N%5%V2hLL$KBP$7$F8z$-$^$9!#(B:set skipdisplay$B$O%5%V2hLL$4$H$K(B
+ 	$B@_Dj$G$-$^$9!#(B
+ 
+     $B%U%!%$%kF~=PNO(Bencoding$B$O@ZBX$(2DG=$G$9!#(B
+ 	$B;H$($k(Bencoding$B$O(B"encoding"$B$N@a$KNs5s$7$F$"$j$^$9!#(B
+ 
+ 	$B$[$H$s$I$NB?9q8l(Bencoding$B$OHFMQ(Biso-2022-*$B2r@O4o(B/$B@8@.4o$G(B
+ 	$B<h$j07$o$l$F$$$^$9!#(B
+ 	$B0lIt$N(Bencoding$B$N;EMM$O!"0lIt$NJ8;z%;%C%H$r$I$&;X<($9$k$+(B
+ 	$B5,Dj$7$F$$$J$$$3$H$KCm0U$7$F$/$@$5$$!#Nc$($P!"(Biso-2022-jp2(RFC1544)
+ 	$B$G$OA4$F$NJ8;z%;%C%H$K$D$$$F$I$&;X<($9$k$+$r5,Dj$7$F$$$^$9$,!"(B
+ 	iso-2022-kr(RFC1557)$B$G$O5,Dj$5$l$F$$$^$;$s!#(B
+ 	$B$3$N$h$&$J>l9g$K$O!"(Bnvi$B$O(Biso-2022-*$B$N%(%9%1!<%W%7!<%1%s%9$r(B
+ 	$B2r<a(B/$B@8@.$7$^$9!#(B
+ 	$BNc(B:
+ 	  ":set fileencoding=latin1"$B$H;XDj$7$F$$$k$H$-$K(BJIS X0208-1983$B$r(B
+ 	  $B;H$C$?>l9g!"(Bnvi$B$O(B"ESC $ B $B$[$2$[$2(B ESC ( B"$B$r=PNO$7$^$9!#(B
+ 	  $B$3$l$O(BJIS X0208-1983$B$r;XDj$9$kJ}K!$H$7$F@5Ev$G$9!#(B
+ 
+ 	$BC10l8@8l(Bencoding($BFC$K(Bsjis$B$H(Bhz)$B$O%W%m%0%i%`%3!<%I$H$7$FF0:n$,(B
+ 	$B7h$aBG$A$5$l$F$$$F!"CN$i$J$$J8;z%;%C%H$OA4$FHt$P$9$h$&$K(B
+ 	$B$J$C$F$$$^$9!#(B
+ 
+ 	:set fileencoding=xxx$B$O%U%#%k%?7O$N%3%^%s%I(B(vi$B$N(B!$B%3%^%s%I(B)$B!"(B
+ 	$B%U%!%$%k$N%*!<%W%s(B/$BF~NO(B/$B=PNO(B(:r$B!"(B:w$B!"(B:e$B$d(B:n)$B!"$*$h$S(Bshell$B$H$N(B
+ 	$BF~=PNO(B(:script)$B$K1F6A$7$^$9!#(B
+ 
+     $B%U%!%$%k%*!<%W%s(B/$BF~NO;~$N(Bencoding$B<+F0H=JL!#(B
+ 	$B0lIt$N(Bencoding$B$rI,MW$J$H$-$K<+F0H=JL$G$-$^$9!#(B
+ 		set autodetect=jp	(euc-jp/sjis/iso-2022-jp)
+ 		set autodetect=cn	(euc-cn/big5/hz/iso-2022-cn)
+ 		set autodetect=tw	(euc-tw/big5/hz/iso-2022-cn)
+ 		set autodetect=kr	(euc-kr/iso-2022-kr)
+ 	$BB>$NCM$r@_Dj$9$k$H!"<+F0H=JL$OF/$-$^$;$s!#(B
+ 
+ 	$B%U%!%$%kJT=83+;O;~(B(:n$B$H$+(B:e$B$H$+(B)$B$^$?$O%U%!%$%kFI$_9~$_;~(B(:r)$B$K!"(B
+ 	$B%U%!%$%k$NFbMF$O%G!<%?%Y!<%9$KFI$_9~$^$l!"$=$N$"$H<+F0H=JL$N(B
+ 	$B$?$a$N%W%m%0%i%`%3!<%I$,8F$P$l$^$9!#<+F0H=JL$N$?$a$N%3!<%I$O(B
+ 	encoding$B$rH=JL$7!"$=$l$K=>$$%G!<%?%Y!<%9$NFbMF$rE,@Z$JJ}K!$G(B
+ 	$BFbItI=8=$KJQ49$7$^$9!#(B
+ 	$B<+F0H=JL$,@.8y$7$J$+$C$?>l9g!"(Bfileencoding$B$K;XDj$5$l$F$$$kCM$,(B
+ 	$B%G%U%)%k%HCM$H$7$F;H$o$l$^$9!#(B
+ 
+ 	$B$^$?!"%U%!%$%k$N%*!<%W%s;~$K(B(:e/:n$B%3%^%s%I$G(B)$B<+F0H=Dj7k2L$G(B
+ 	fileencoding$B$NCM$r>e=q$-$9$k$3$H$b$G$-$^$9!#(B
+ 	$B$3$&$9$k$3$H$G!"%U%!%$%k$N(Bencoding$B$,%U%!%$%kJT=8A0$HJT=88e$G(B
+ 	$BJQ$o$i$J$$$h$&$K$9$k$3$H$,$G$-$^$9!#(B
+ 	$B$3$N>l9g!"0J2<$N$h$&$KKvHx$K(B"+"$B$r2C$($F@_Dj$7$^$9(B:
+ 		set autodetect=jp+
+ 		set autodetect=cn+
+ 	$B$3$N@_Dj$r;H$&$H!"(Bvi$B%3%^%s%I$N(Bcontrol-G$B$G(Bfileencoding$B$NCM$,(B
+ 	$BI=<($5$l$k$h$&$K$J$j$^$9!#(B
+ 
+ 	$BBg$-$J%U%!%$%k$r07$&$H!"<+F0H=JL$K;~4V$,$+$+$k$3$H$,$"$j$^$9!#(B
+ 	$B<+F0H=JL%3!<%I$O%G!<%?%Y!<%9$KFI$_9~$^$l$?%U%!%$%k$r!"<+F0H=JL$,(B
+ 	$B=*$k$^$GD4$Y$K$$$/$+$i$G$9(B($B$D$^$j!"A49TD4$Y$A$c$&>l9g$,$"$k(B)$B!#(B
+ 	($B:GBg9T?t$O(Bcommon/multibyte.c$B$NCf$N(BPREDICT_MAXLINES$B$N@_Dj$rJQ$($k$H(B
+ 	$BJQ99$G$-$^$9(B)
+ 	$B<+F0H=JL$,IT2DG=$J>l9g$H$$$&$N$b$"$j$^$9!#FC$K%U%!%$%k$,C;$$(B
+ 	$B>l9g$OL5M}$J>l9g$,$"$j$^$9!#(B
+ 	$B%P%$%J%j%U%!%$%k$rFI$_9~$s$G$7$^$C$?>l9g!"<+F0H=JL$O(B
+ 	$B$-$C$H$&$^$/$$$-$^$;$s!#Cm0U$7$F2<$5$$!#(B
+ 
+ 	:set autodetect=xxx$B$O%U%!%$%k$N%*!<%W%s(B/$BF~NO$K$@$11F6A$7$^$9(B
+ 	(:r$B!"(B:e$B$H(B:n)$B!#(B
+ 
+ 	$BCf9q8l$N<+F0H=JL$r$7$?$$>l9g(B(:set autodetect=cn)$B!"(B
+ 	fileencoding$B$r(B"euc-cn"$B$^$?$O(B"big5"$B$K@_Dj$9$k$3$H$r$*4+$a$7$^$9!#(B
+ 	euc-cn$B$H(Bbig5$B$r<+F0H=JL$9$k$N$O$[$H$s$IIT2DG=$J$N$G!"(B
+ 	$B<+F0H=JL$O$?$$$F$$<:GT$7$^$9!#<+F0H=JL$,<:GT$7$?>l9g!"(B
+ 	fileencoding$B$K@_Dj$5$l$?(Bencoding$B$,;H$o$l$^$9!#(B
+ 	$B$N$G!"(Bbig5$B$r$h$/;H$&>l9g!"0J2<$N$h$&$K$7$^$7$g$&(B:
+ 	set autodetect=cn fileencoding=big5
+ 	euc-cn$B$r$h$/;H$&>l9g!"0J2<$N$h$&$K$7$^$7$g$&(B:
+ 	set autodetect=cn fileencoding=euc-cn
+ 	$BCf9q8l$N<+F0H=JL$r$9$k>l9g!"$3$l0J30$N@_Dj$O$*4+$a$7$^$;$s!#(B
+ 
+ 	$BBfOQ8l(B(?)$B$N<+F0H=JL$r$7$?$$>l9g(B(:set autodetect=tw)$B$b!"(B
+ 	$B>e5-$N5-=R$O$"$F$O$^$j$^$9!#(Bfileencoding$B$O(B"euc-tw"$B$+(B"big5"$B$N(B
+ 	$B$I$A$i$+$K@_Dj$7$F$/$@$5$$!#(B
+ 	
+     $BB?9q8l%-!<F~NO!#(B
+ 	$B%-!<F~NO(Bencoding$B$r;XDj$9$k$K$O0J2<$N$h$&$K$7$^$9(B:
+ 		:set inputencoding=euc-jp
+ 		:set inputencoding=iso-2022-jp
+ 	euc-jp/kr/cn$B$H(Biso-2022-*$B$r;XDj$7$?>l9g!"HFMQ(Biso-2022-*$B2r@O4o$,(B
+ 	$B;H$o$l$^$9!#$3$N$?$a!"$3$l$i$N>l9g40A4B?9q8l%-!<F~NO$,(B
+ 	$B2DG=$G$9(B($B:n<T$,;n$7$?HO0O$G$O(B)$B!#(B
+ 	iso-2022-*$B7O$N(Bencoding$B$r%-!<F~NO$K;H$&>l9g!"J8;z%3!<%I;XDj$N(B
+ 	$B%(%9%1!<%W%7!<%1%s%9$H(BESC$B%-!<$H$N6hJL$,Fq$7$/$J$j$^$9!#(B
+ 	$B$3$l$i$O%?%$%`%"%&%H$r;H$C$FH=JL$5$l$^$9!#Hs>o$KCY$$2s@~1[$7$K(B
+ 	nvi$B$r;H$&>l9g!"LdBj$,@8$8$k>l9g$,$"$jF@$^$9!#(B
+ 
+     $BB?9q8l$N@55,I=8=8!:w$,2DG=$G$9!#(B
+ 	$B@)Ls;v9`$K$D$$$F$O(Bregex/README.m17n$B;2>H!#(B
+ 
+     canna$B$K$h$kF|K\8lF~NO$r%5%]!<%H$7$F$$$^$9!#(B
+ 	"canna"$B$O%/%i%$%"%s%H%5!<%P7A<0$NF|K\8lJQ49%7%9%F%`$G$9!#(B
+ 	canna$B$r;H$&>l9g$KDI2C$5$l$k%*%W%7%g%s$N%j%9%H$OJL$N@a$K(B
+ 	$B5s$2$F$"$j$^$9!#(B
+ 	canna$B$N%5%]!<%H$O(Bvi$B%b!<%I$N>l9g$N$_$G$9!#(Bex$B%b!<%I$G$O!"(B
+ 	canna$B$K$h$kF|K\8lF~NO$O$G$-$^$;$s!#(B
+ 
+ 	canna$B$rMxMQ$9$k>l9g!"0J2<$r9T$$$^$9(B:
+ 		:set canna
+ 	$B$3$&$9$k$H(Bnvi$B$O(Bcanna$B%5!<%P$H@\B3$7$^$9!#(Bcanna$B%5!<%P$H$N@\B3$r(B
+ 	$B@Z$k$K$O$3$&$7$^$9(B:
+ 		:set nocanna
+ 
+ 	canna$BF~NO%b!<%I$KF~$C$?$jH4$1$?$j$9$k$K$O!"(Bcontrol-O$B$rBG$A$^$9!#(B
+ 	$B$3$N%-!<%9%H%m!<%/(B(control-O)$B$O(Bcannakey$B%*%W%7%g%s$G7h$a$i$l$F(B
+ 	$B$$$^$9!#(B
+ 	cannakey$B%*%W%7%g%s$rJQ$($k$H%-!<%9%H%m!<%/$rJQ$($i$l$^$9!#(B
+ 	$BNc$($P!"(Bcontrol-X$B$G(Bcanna$BF~NO%b!<%I$N@ZBX$($r$9$k>l9g$O$3$s$J(B
+ 	$B$+$s$8(B:
+ 		:set cannakey=^X	(colon$B%b!<%I$GF~NO$9$k$K$O(B^V^X)
+ 	cannakey$B$N@_Dj$K$O(B*$B:Y?4$NCm0U$rJ'$C$F2<$5$$(B*$B!#$3$3$GA*Br$5$l$?(B
+ 	$B%-!<%9%H%m!<%/$OA4$F$KM%@h$7!"$3$N%-!<%9%H%m!<%/$O(Bcanna
+ 	$B%*%W%7%g%s$,@_Dj$5$l$F$$$k4V!"FsEY$H(Bnvi$B<+BN$KEO$i$J$/$J$j$^$9!#(B
+ 
+ 	vi$B%3%^%s%I%b!<%I$G(Bcanna$B$N(Bfence$B$,$G$F$$$k$N$,<YKb$K$J$k$3$H$,(B
+ 	$B$"$j$^$;$s$+(B?  nvi$B$O(Bcanna$BF~NO%b!<%I$r<+F0@)8f$9$k$3$H$,$G$-$^$9!#(B
+ 	$B$3$N5!G=$r;H$&$K$O0J2<$N%3%^%s%I$rF~NO$7$^$9(B:
+ 		:set cannactrl
+ 	$B$3$N%*%W%7%g%s$r@_Dj$7$?>l9g!"0J2<$N$h$&$K$J$j$^$9(B:
+ 	- ($BFCDj$N%3%^%s%I$K$D$$$F(B)$B%F%-%9%HF~NO$r=*$k$H!"(Bcanna$B$N(Bfence$B$,(B
+ 	  $B<+F0E*$K(Boff$B$K$J$j$^$9!#(B
+ 	- ($BFCDj$N%3%^%s%I$K$D$$$F(B)$B%F%-%9%HF~NO$N>lLL$K$J$k$H!"(Bcanna$B$N(B
+ 	  fence$B$,<+F0E*$K(Bon$B$K$J$j$^$9!#(B
+ 	- ($BA4$F$N%3%^%s%I$K$D$$$F(B)vi$B%3%^%s%I%b!<%I$KLa$k$H!"(Bcanna$B$N(B
+ 	  fence$B$,<+F0E*$K(Boff$B$K$J$j$^$9!#(B
+ 	$B!VFCDj$N%3%^%s%I!W$O!"(Bfepkey$B%*%W%7%g%s$r@_Dj$9$k$3$H$G(B
+ 	$B;XDj$G$-$^$9!#%G%U%)%k%H$G$O(B"/?aioAIO"$B$,@_Dj$5$l$F$$$^$9!#(B
+ 	$B$J$s$G$b;XDj$7$?$$>l9g!"$3$s$J$3$H$b$G$-$^$9(B:
+ 		:set fepkey="?/aioAIOcCrRtfTF"
+ 	$B$3$N@_Dj$O$A$c$s$HF0$-$^$9!#13$8$c$J$$$h!#(B
+ 
+ 	canna$B%5!<%P$r@ZBX$($k>l9g!"0J2<$r<B9T$7$^$9(B:
+ 		:set cannaserver="hostname.your.domain".
+ 
+ 	canna$B%5%]!<%H$K$O$$$/$D$+D>4QE*$G$J$$$H$3$m$,$"$j$^$9!#(B
+ 	"$B$R$M$/$l$F$$$k$H$3$m(B"$B$N@a$r$_$F$/$@$5$$!#(B
+ 
+ nvi-m17n$BFCM-$N$G%*%W%7%g%s$r@_Dj$9$k(B
+ 
+ 	$B0J>e$G=R$Y$?$h$&$K!"(Bnvi-m17n$B$G$O(Bnvi$B$KBP$7$$$/$D$+%*%W%7%g%s$r(B
+ 	$BDI2C$7$F$$$^$9!#$7$+$7!"$$$/$D$+$N>l9g!"(B.exrc$B$K=q$$$?%*%W%7%g%s(B
+ 	$B@_Dj$G:$$k$3$H$,$"$j$^$9(B:
+ 	1. nvi-m17n$B$H(Bnvi($B$^$?$OB>$N%/%m!<%s(Bvi)$B$rN>J};H$C$F$$$k>l9g!"(Bnvi$B$dB>$N(B
+  	   vi$B%/%m!<%s$O(Bnvi-m17n$B$,3HD%$7$?%*%W%7%g%s$r2r<a$7$F$/$l$J$$>l9g$,(B
+ 	   $B$"$j$^$9!#$3$N>l9g!"5/F0;~$K%(%i!<%a%C%;!<%8$,$G$?$j!"(B
+ 	   $BB>$N(Bvi$B$,5/F0$7$J$+$C$?$j$7$^$9!#(B
+ 	2. $BJ#?t$N@_Dj$rIQHK$K@ZBX$($F;H$&>l9g!"4JC1$K@ZBX$($i$l$k$HAGE($G$9!#(B
+ 
+ 	1.$B$N>l9g!"(B3$B$D$NF($2J}$,$"$j$^$9(B:
+ 	- $BB>$N(Bvi($B%/%m!<%s(B)$B$H(Bnvi$B$N4V$N%*%W%7%g%s@_Dj$r;H$$J,$1$k$?$a$K!"(B
+ 	  .exrc$B$N$+$o$j$K(B.nexrc$B$r;H$&$3$H$,$G$-$^$9!#(B
+ 	  .nexrc$B$O%*%j%8%J%k$N(Bnvi$B$GF3F~$5$l$?$b$N$J$N$G!"%*%j%8%J%k$N(Bnvi$B$H(B
+ 	  nvi-m17n$B$N4V$G%*%W%7%g%s@_Dj$r6hJL$9$k$?$a$K$O;H$($^$;$s!#(B
+ 	- $BF1MM$K!"4D6-JQ?t(BNEXINIT$B$b;H$($^$9!#$3$l$O(BEXINIT$B$HF1MM$K(B
+ 	  $BF/$-$^$9$,!"%*%j%8%J%k$N(Bnvi$B$H(Bnvi-m17n$B$G$7$+;H$o$l$^$;$s!#(B
+ 	- wrapper$B%9%/%j%W%H$r;H$$$^$9!#0J2<;2>H!#(B
+ 	2.$B$N>l9g!"(Bwrapper$B%9%/%j%W%H$,JXMx$G$7$g$&!#(B
+ 
+     wrapper$B%9%/%j%W%H(B
+ 	$B0J2<$N$h$&$J(Bwrapper$B%9%/%j%W%H$r;H$&$H!"(Bnvi-m17n$B$KFCDj$N%*%W%7%g%s$r(B
+ 	$BEO$9$3$H$,$G$-$^$9!#$3$l$r;H$&$H!"(B.exrc$B$KHs0lHLE*$J%*%W%7%g%s$r(B
+ 	$B4^$a$:$K:Q$_$^$9(B:
+ 
+ --->8 $BF|K\8l$rJT=8$9$k>l9g$NNc(B($B$?$H$($P(B"jnvi"$B$H$7$F;H$&(B)
+ #! /bin/sh
+ 
+ EXINIT0="set canna cannactrl autodetect=jp fileencoding=iso-2022-jp displayencoding=iso-2022-jp inputencoding=iso-2022-jp noskipdisplay"
+ if [ -f ~/.exrc ]; then
+ 	EXINIT="$EXINIT0 `sed -e '/^set /!d' -e 's/^set //' < ~/.exrc | tr '\012' ' '`"
+ else
+ 	EXINIT=$EXINIT0
+ fi
+ export EXINIT
+ exec /usr/local/bin/nvi $*
+ --->8
+ 
+ $BDI2C%D!<%k(B
+ 
+ 	nvi-m17n$B$G$O(B"regular"$B$H$$$&%9%/%j%W%H$,DI2C$5$l$F$$$^$9!#(B
+ 
+     regular [-options]
+ 
+ 	$B0lIt$NJ8=q$K$O!"(BASCII$B$GI=8=$G$-$kJ8;z$KBP$7$FM>J,$JJ8;z%;%C%H$N(B
+ 	$B;X<($,$D$1$i$l$F$$$k$3$H$,$"$j$^$9!#$?$H$($P!"(BUK$BJ8;z%;%C%H$N(B"a"$B$H$+(B
+ 	JIS X0201$B:8B&(B(JIS roman)$BJ8;z%;%C%H$N(B"a"$B$H$+$,$=$&$G$9!#(B
+ 	$B$3$N$h$&$J;X<($O4V0c$C$F$O$$$J$$$N$G$9$,!"$?$^$K(Bnvi-m17n$B$N(B
+ 	$B%f!<%6$r$$$i$D$+$;$k860x$K$J$j$^$9!#$J$<$J$i!"(BASCII$B$N(B"a"$B0J30$r(B
+ 	$B%-!<%\!<%I$+$iF~NO$9$k$N$O7k9=Fq$7$+$C$?$jIT2DG=$@$C$?$j$9$k$+$i$G$9!#(B
+ 	Regular$B$O!"$3$N$h$&$JJ8;z$rA4It(BASCII$B$N(B"a"$B$KJQ49$7$^$9!#(B
+ 
+ 	Regular$B$K$O$$$/$D$+$N%*%W%7%g%s$,$"$j$^$9!#(B
+ 		-7
+ 			$B=PNO$r!"(Bnvi$B$N(Bencoding$B$G$$$&$H(Biso-2022-7-1$B$K$7$^$9!#(B
+ 			$BA4$F$NJ8;z%;%C%H$O(BG0$B$K8F$S=P$5$l$^$9!#(B
+ 			1ocking shift$B$d(Bsingle shift$B$O;H$o$l$^$;$s!#(B
+ 			$B%*%W%7%g%s$r$J$K$b;XDj$7$J$+$C$?>l9g!"$3$NF0:n$r(B
+ 			$B$7$^$9!#(B
+ 		-8
+ 			$B=PNO$r!"(Bnvi$B$N(Bencoding$B$G$$$&$H(Biso-2022-8-2$B$K$7$^$9!#(B
+ 			94/94x94$BJ8;z%;%C%H$O(BG0$B$K!"(B96/96x96$BJ8;z%;%C%H$O(BG1$B$K(B
+ 			$B8F$S=P$5$l$^$9!#(Blocking shift$B$d(Bsingle shift$B$O(B
+ 			$B;H$o$l$^$;$s!#(B
+ 		-kr
+ 			$BF~NO$,(Biso-2022-kr$B$H2>Dj$7$^$9!#(B
+ 			$B$9$J$o$A!"(BG0/G1/$B$=$NB>$K8F$S=P$5$l$?J8;z%;%C%H$O(B
+ 			$B9T$r1[$($FJ]B8$5$l$^$9!#(B
+ 			-kr$B$r;XDj$7$F$$$J$$>l9g$K$O!"2~9T$4$H$K(B
+ 				G0=ASCII/G1=G2=G3=$B$J$7(B
+ 			$B$H$$$&$h$&$K%j%;%C%H$5$l$^$9!#(B
+ 	Regular$B$OI8=`F~NO$+$i%F%-%9%H$rFI$_!"I8=`=PNO$K7k2L$r=PNO$7$^$9!#(B
+ 		% regular < source.txt > dst.txt
+ 	$B$N$h$&$K;H$&$+!"$"$k$$$O%U%#%k%?%3%^%s%I(B(vi$B%b!<%I$N(B!$B%3%^%s%I(B)$B$G(B
+ 	$B8F$S=P$9$+$7$F$/$@$5$$!#(B
+ 
+ 	$B$R$M$/$l$F$$$k$H$3$m(B:
+ 	- nvi-m17n$B$O(Bregular$B$N=PNO(Bencoding$B$r=hM}$G$-$^$9$,!"(Bregular$B$N=PNO(B
+ 	  encoding$B$O0lHLE*$G$O$"$j$^$;$s!#(B
+ 	  regular$B$OHFMQ%D!<%k$G$O$"$j$^$;$s!#(Bnvi-m17n$B$N%5%]!<%H@lMQ$H(B
+ 	  $B;W$C$F2<$5$$!#(B
+ 	- euc-*/sjis/big5$BEy$N(Bencoding$B$G=q$+$l$?%U%!%$%k$r0BA4$K<h$j07$&(B
+ 	  $B$3$H$O$G$-$^$;$s!#%U%#%k%?%3%^%s%I$r;H$&>l9g!"(Bnvi-m17n$B$N(Bfileencoding
+ 	  $B%*%W%7%g%s$r(Biso-2022-*$B7O$N(Bencoding$B$K$7$F$*$/I,MW$,$"$j$^$9!#(B
+ 	- regular$B$NF0:n$OHs>o$KDcB.$G$9!#(B
+ 	  $B$b$7CY$9$.$F:$$C$?$i!"(B"qregular"$B$r$+$o$j$K;H$C$F$/$@$5$$!#(B
+ 	  $B$?$@$7!"(Bqregular$B$O(BG0/G1$B$X$ND>@\$N;X<($7$+9MN8$7$^$;$s(B
+ 	  (SI$B$H$+(BSO$B$H$+$O2r<a$G$-$^$;$s(B)$B!#(B
+ 
+ $BB?9q8lL$BP1~(B
+ 
+ 	$B$3$N(Bpatch$B$O(Bnvi$B$NA45!G=$rB?9q8l2=$9$k$o$1$G$O$"$j$^$;$s!#(B
+ 	$B$3$N$?$a!"$$$/$D$+$N5!G=$O;H$&$Y$-$G$O$"$j$^$;$s!#(B
+ 	$B$=$N$&$A(B*$B0lIt(B*$B$r$3$3$KJB$Y$F$*$-$^$9!#$h$j:Y$+$/@)Ls$rCN$j$?$$>l9g$O(B
+ 	$B%=!<%9%3!<%I$r3NG'$7$F$/$@$5$$!#(B
+ 	- $B2#%9%/%m!<%k2hLL%b!<%I(B(:set leftright)$B$O$H$-$I$-(Bcore$B$rEG$$$?$j(B
+ 	  $BL58B%k!<%W$KMn$A$?$j$7$^$9!#(B
+ 	- curses$B0J30$N2hLL=PNO%$%s%?%U%'!<%9$OF0$-$^$;$s!#(B
+ 	- perl$B$r(Blink$B$9$k$3$H$O$G$-$k$h$&$G$9!#$,!"B?J,Lr$K$?$A$^$;$s!#(B
+ 	  $B$J$<$J$i!"(Bperl$B%9%/%j%W%HFb$G$O(Bnvi$B$NFbIt%3!<%I$r07$o$J$$$H(B
+ 	  $B$$$1$J$$$+$i$G$9!#(B
+ 	- tcl$B$r(Blink$B$7$?>l9g!"$-$C$HF0$-$^$;$s!#(B
+ 	- ex$B%b!<%I$G$O!"%-!<F~NO$N%(%3!<%P%C%/$O(Bnvi$B$G$O$J$/C<Kv%=%U%H%&%'%"(B
+ 	  $B$K$h$C$F=hM}$5$l$^$9(B($B%*%j%8%J%k$N(Bnvi$B$,$=$&$J$C$F$$$^$9(B)$B!#(B
+ 	  $B$3$N$?$a!"C<Kv%=%U%H%&%'%"$,@5$7$/=hM}$7$J$$>l9g!"J8;z$,2=$1$F(B
+ 	  $B%(%3!<%P%C%/$5$l$k$3$H$,$"$j$^$9!#(B
+ 	- canna$B%5%]!<%H$O(Bex$B%b!<%I$G$OF0$-$^$;$s!#(Btty$B@)8f$N$7$+$?$,(B
+ 	  vi$B%b!<%I$H0c$C$F(Bcooked$B%b!<%I$@$+$i$G$9(B(vi$B$N%3%m%s%b!<%I$G$O(B
+ 	  canna$B$,;H$($^$9(B)
+ 
+ $B$R$M$/$l$F$$$k$H$3$m(B/$B$P$0(B(nvi 1.79$B$K$D$$$F(B)
+ 
+ 	tcsh 6.05.00$B$N%P%0$N$;$$$G!"(Btcsh 6.05.00$B$H(Bnvi$B$r0l=o$K;H$&$H(B
+ 	$B%H%i%V%k$,H/@8$9$k$3$H$,$"$j$^$9!#(B
+ 	tcsh 6.05.00$B$G$O(B
+ 		% echo -n 'hoge' | tcsh -c cat
+ 	$B$r$9$k$H%O%s%0$7$^$9!#$^$?!"(B
+ 		% ( echo 'hoge'; echo -n 'hoge') | tcsh -c cat
+ 	$B$H$9$k$H!":G=i$N(B1$B9T$@$1$,=PNO$5$l$^$9!#$3$l$OI8=`$N(Bcsh$B$NF0:n$H$O(B
+ 	$B0[$J$j$^$9!#(B
+ 	$B$3$N$?$a!"(Blogin shell$B$,(Btcsh 6.05.00$B$N$H$-$K!"(Bnvi$B$+$i(B"1$B9T$@$1(Bfilter"
+ 	$B$9$k%3%^%s%I(B("!!cat"$B$H$+(B"!!fmt"$B$H$+(B)$B$r<B9T$9$k$H!"(Bnvi$B$O(Btcsh$B$N(B
+ 	$BF;O"$l$K$J$C$F%O%s%0$7$^$9!#(B
+ 	$B0lHV4JC1$JH4$1F;$O!"(Bnvi$B$H0l=o$K(Btcsh$B$r;H$o$J$$$3$H$G$9!#(B
+ 	$BNc$($P!"0J2<$r(B.exrc$B$KB-$;$P2sHr$G$-$^$9(B:
+ 		set shell=/bin/csh
+ 
+ 		:set
+ 	$B$ND>8e$K(B
+ 		:set all
+ 	$B$9$k$H!"2hLL$,I,MW$JNL$h$j(B1$B9TB?$/%9%/%m!<%k$7$^$9!#(B
+ 	$B$3$N$?$a!"(B:set all$B$N=PNO$N0lHV>e$N9T$,8+$($^$;$s!#(B
+ 
+ 	$B86:n(Bnvi$B$N%3!<%I$K$O!"(Bctype.h$B$GDj5A$5$l$F$$$k%^%/%m(B(isprint()$B$H$+(B
+ 	isblank()$B$H$+(B)$B$KIi$N?t$r$D$C$3$s$@$H$-$K$b$A$c$s$HF0$/$3$H$r(B
+ 	$B2>Dj$7$F=q$+$l$?ItJ,$,$"$j$^$9!#(B
+ 	($BCp(B: $B$3$l$O(BANSI C$B$N;EMM$K$O$"$j$^$;$s(B!)
+ 	$B$b$7$3$l$,K~$?$5$l$F$$$J$$>l9g!"(B8$B%S%C%H$a$,N)$C$F$$$kCM(B(0x80-0xff)$B$,(B
+ 	$BJ8=qCf$K8=$l$k$H(Bnvi$B$O%O%s%0%"%C%W$9$k$3$H$,$"$j$^$9!#(B
+ 	$BB?9q8l2=$N:]$K!"(B8$B%S%C%H$a$,N)$C$?CM$r$+$J$j$NIQEY$G;H$C$F$$$k$?$a!"(B
+ 	$B$3$l$O$+$J$jBg$-$JLdBj$K$J$j$^$9!#(B
+ 	$B$[$H$s$I$NItJ,$OLdBj$J$$$h$&$K=$@5$7$F$"$j$^$9$,!"$d$j$N$3$7$,(B
+ 	$B$"$k$+$b$7$l$^$;$s!#(Bnvi$B$,%O%s%0%"%C%W$7$?$i!">u67$r:F8=$9$k$?$a$N(B
+ 	$BA`:n<j=g$r:n<T$^$GAw$C$F$/$@$5$$!#(B
+ 
+ $B$R$M$/$l$F$$$k$H$3$m(B/$B$P$0(B(nvi-m17n$B$K$D$$$F(B)
+ 
+ 	iso-2022-*$B$r%-!<F~NO(Bencoding$B$K;H$C$F$$$k>l9g(B(:set inputencoding=xxx)$B!"(B
+ 	control-O$B$H(Bcontrol-N$B$O>o$K(BSI/SO$B$H$7$F<h$j07$o$l$^$9!#(B
+ 	$B$3$N$?$a!"(Bcontrol-N$B$r(Bvi$B$N!V<!$N9T$X!W%3%^%s%I$H$7$F;H$&$3$H$O(B
+ 	$B$G$-$J$/$J$j$^$9!#(B
+ 	(canna$B$r;H$C$F$$$k>l9g!"(Bcanna$BF~NO%b!<%I$X$N0\9T%-!<$O$3$3$G$N(B
+ 	$B@bL@$h$jM%@h$7$F(Bcanna$B$N$?$a$K;H$o$l$^$9(B)
+ 	$B$3$l$i$N$h$&$J%-!<$rF~NO$7$?$$>l9g!"0J2<$N$h$&$K0l;~E*$K%-!<F~NO(B
+ 	encoding$B$r@ZBX$($kI,MW$,$"$j$^$9(B:
+ 		:set inputencoding=none
+ 
+ 	$B%-!<F~NO!"C<Kv=PNO!"%U%!%$%kF~=PNO$N$?$a$NB?9q8l(Bencoding$B2r@O4o(B/
+ 	$B@8@.4o$O$=$l$>$lJL!9$K<BAu$5$l$F$$$F!"F0:n$,$=$l$>$l0[$J$j$^$9!#(B
+ 	$B$3$l$O0J2<$NM}M3$K$h$j$^$9(B:
+ 	- $B%-!<F~NO$OCfESH>C<$J>uBV$NF~NO$r=hM}$7$J$$$H$$$1$^$;$s!#(B
+ 	- $BC<Kv=PNO$O(Bcurses$B$N@)8B$+$iA4$F$NJ8;z%;%C%H$r(BG0$B$K;X<($7$J$$$H(B
+ 	  $B$$$1$^$;$s(B(sjis$BEy$NC10l8@8l(Bencoding$B$N>l9g(B8bit$B$b;H$($^$9$,(B)$B!#(B
+ 	- $B%U%!%$%kF~=PNO$OCf$G$O0lHV4JC1$J$N$G!"7k9=40A4$K$G$-$^$9!#(B
+ 
+ 	$BCf9q8l$N(Bencoding$B$N<+F0H=JL$O86M}E*$K$[$H$s$IIT2DG=$G$9!#(B
+ 
+ 	canna$BF~NO%b!<%I$X$N0\9T%-!<(B(:set cannakey$B$G@_Dj(B)$B$OA4$F$KM%@h$7$^$9!#(B
+ 	$B$3$N$?$a!"Nc$($P$3$l$r(Bcontrol-O$B$K@_Dj$9$k$H!"%-!<F~NO$K(Bcontrol-O$B$,(B
+ 	$B$"$C$?>l9g$=$l$r(BSI$B$H2r<a$G$-$^$;$s!#(B
+ 	$B$b$7(Bcannakey$B$r(Bcontrol-M$B$K@_Dj$9$k$H!"%j%?!<%s$,FsEY$HBG$F$J$/$J$j$^$9(B!
+ 	canna$BF~NO%b!<%I$X$N0\9T%-!<$O?5=E$K@_Dj$7$F$/$@$5$$!#(B
+ 
+ 	vi$B%3%^%s%I$N$&$A$$$/$D$+$O!"B>$N(Bvi$B%3%^%s%I$NAH$_$"$o$;$G<B8=(B
+ 	$B$5$l$F$$$^$9!#Nc$($P!"(BS$B%3%^%s%I$O(Bc_$B%3%^%s%I$H$7$F<B8=$5$l$F$$$^$9!#(B
+ 	C/D/S/Y$B$N%3%^%s%I$O$3$N$h$&$K:n$i$l$F$$$^$9!#(Bfepkey$B%*%W%7%g%s$O(B
+ 	$B<B:]$N<B8=$K;H$o$l$k%3%^%s%IL>$rBP>]$K(Bfence$B@)8f$r9T$$$^$9!#(B
+ 	$B$3$N$?$a!"(Bc$B%3%^%s%I$K$D$$$F(Bfence$B@)8f$r(Bon$B$K$9$k$H!"(BS$B%3%^%s%I$K$D$$$F$b(B
+ 	$B<+F0E*$K(Bfence$B@)8f$,(Bon$B$K$J$j$^$9!#(B
+ 	$B>\:Y$O(Bvi/vi.c$B$N(Bv_alias()$B$r;2>H!#(B
+ 
+ 	wrapmargin/wraplen$B%*%W%7%g%s$,@_Dj$5$l$F$$$k>l9g!"(Bvi$B$N(BW/B$B%3%^%s%I$G(B
+ 	$BG'<1$5$l$kC18l6-3&$G9T$,6h@Z$i$l$^$9!#$3$N$?$a!"1Q8l0J30$N9T$G$O(B
+ 	$B$H$-$I$-9TKv$ND9$5$,B7$o$J$+$C$?$j$7$^$9!#(B
+ 	$BB?9q8l$N9T$N6h@Z$jJ}$K$D$$$F$h$$J}K!$O$J$$$+LO:w$7$F$$$k$H$3$m$G$9!#(B
+ 	$B$J$K$+0U8+$,$"$C$?$i$*CN$i$;$/$@$5$$!#(B
+ 
+ 	$BCf9q8l(B/$B4Z9q8l$N<+F0H=JL$K$D$$$F$O%A%'%C%/$,4E$$$G$9!#(B
+ 	$B$*5$7Z$K8f0U8+$r$*4s$;$/$@$5$$!#(B
+ 
+ 	iso-2022-*$B7O$N%(%s%3!<%G%#%s%0$r%-!<%\!<%IF~NO$KMxMQ$7$F$$$k>l9g!"(B
+ 	ESC$B$N$"$H$N%?%$%`%"%&%H$,D9$/$J$C$F$7$^$C$F$$$^$9(B(2$BG\$K1d$S$F(B
+ 	$B$7$^$$$^$9(B)$B!#(B
+ 
+ 	$B$3$N%Q%C%A$r$"$F$?>l9g!"86:n(Bnvi$B$N%I%-%e%a%s%H$K=R$Y$i$l$F$$$k(B
+ 	$B@bL@J8$N0lIt$OE,MQ$5$l$J$/$J$k$3$H$KCm0U$7$F$/$@$5$$!#(B
+ 	$BNc$($P!"(Blocale$B4XO"$N$b$N(B(nvi-1.79/FAQ$B$N$$$A$P$s:G=i$N<ALd!"$H$+(B)
+ 	$B$O(Bnvi-m17n$B$K4X$7$F@5$7$/$"$j$^$;$s!#(B
+ 
+ $B46A[!&0U8+(B
+ 
+ 	$B%P%0$d%3%a%s%H$O0J2<$N$$$:$l$+$NJ}K!$GAw$C$F$/$@$5$$(B:
+ 		web: http://www.itojun.org/cgi-bin/gnats-send-pr
+ 		e-mail: nvi-m17n@dit.co.jp
+ 	$B$=$N:]!"(Bpatch$B$N%P!<%8%g%sHV9f$rL@<($7$F$/$@$5$$!#(B
+ 
+ $B:n<T(B
+ 
+ 	Jun-ichiro itojun Itoh
+ 	itojun@mt.cs.keio.ac.jp
+ 	itojun@itojun.org
+ 	Contribution to the author, in any form (example: just say "thanks"),
+ 	is always appreciated.
